import "reflect-metadata"
import { DataSource } from "typeorm"
import "./env"
import {CreateUsersTable1698126666203} from "../migration/1698126666203-create_users_table";

// const pwd = process.cwd()
//
// const migration_path = pwd + '/src/migration'
//
// // 检测当前目录下有无 migration 文件夹
// if (!fs.existsSync(pwd + '/src/migration')) {
// }

const typeorm = new DataSource({
    type: "mysql",
    host: process.env.DB_HOST,
    port: Number(process.env.DB_PORT),
    username: process.env.DB_USERNAME,
    password: process.env.DB_PASSWORD,
    database: process.env.DB_DATABASE,
    synchronize: false,
    logging: false,
    // entities: ["src/entity/*.ts"],
    // migrations: ["src/migration/*.ts"],
    entities: [
    ],
    migrations: [
        CreateUsersTable1698126666203
    ],
    subscribers: [],
})

export default typeorm


